<?php

namespace AlbisPayment5\Components\AlbisPayment;

class AlbisPaymentService
{
    public function createPaymentResponse(\Enlight_Controller_Request_Request $request): AlbisPaymentResponse
    {
        $response = new AlbisPaymentResponse();
        $response->transactionId = $request->getParam('transactionId', null);
        $response->status = $request->getParam('status', null);
        $response->token = $request->getParam('token', null);

        return $response;
    }

    public function isValidToken(AlbisPaymentResponse $response, $token): bool
    {
        return hash_equals($token, $response->token);
    }

    /**
     * @param float $amount
     * @param int $customerId
     * @return string
     */
    public function createPaymentToken($amount, $customerId): string
    {
        return md5(implode('|', [$amount, $customerId]));
    }
}
