<?php

declare(strict_types=1);

namespace AlbisPayment5\Controllers\Frontend;

use AlbisPayment5\Components\Api\AlbisClient;

class AlbisDetail extends \Enlight_Controller_Action
{
    private AlbisClient $albisClient;

    public function __construct(AlbisClient $albisClient)
    {
        parent::__construct();

        $this->albisClient = $albisClient;
    }

    public function getLeasingRatesAction()
    {
        $contractType = (int)$this->Request()->get('contractType');
        if ($contractType <= 0) {
            $contractType = 1;
        }
        $this->view->assign(
            'albis',
            $this->albisClient->getLeasingRates(
                (float)$this->Request()->get('price'),
                0.00,
                $contractType
            )
        );
    }
}
