{extends file="parent:frontend/checkout/confirm.tpl"}

{block name="frontend_index_content"}
    <div class="content confirm--content">
        <form action="{url controller="AlbisPayment" action="index"}"
              method="post">
            <input type="hidden" name="basketToken" value="{$basketToken}">
            <div class="tos--panel panel">
                <div class="panel--title primary is--underline">{s name="panel_title"}Albis Leasing{/s}</div>
                <div class="panel--body is--wide">
                    <div class="forms--inner-form panel--body">
                        <div class="albis-lease-prepayment">
                            <div class="forms--content input prepayment">
                                <input class="input-field is--required" type="text" name="prePayment"
                                       value="{$prePayment}"
                                       placeholder="{s name='form_input_rented_special_payment'}Anzahlung in €{/s}"/>
                            </div>
                            <div class="albis-lease-submit-prepayment">
                                <button type="submit" class="btn is--icon-right">
                                    {s name="renew_rate"}Rate aktualisieren{/s}
                                    <i class="icon--arrow-right"></i>
                                </button>
                            </div>
                        </div>
                    </div>
        </form>
        <form action="{url controller="AlbisPayment" action="request"}" method="post">
            <input type="hidden" name="basketToken" value="{$basketToken}">
            <input type="hidden" name="prePayment" value="{$prePayment}">
            {if $albisCompanyTypes|count == 0}
                <br/>
                <div class="special-class alert is--error is--rounded">
                    <div class="alert--icon">
                        <i class="icon--element icon--warning"></i>
                    </div>
                    <div class="alert--content">
                        {s name="config_error"}Bitte überprüfen Sie die Konfiguration des Albis Leasing Plugins.{/s}
                    </div>
                </div>
            {/if}
            {if $prePaymentError == true}
                <br/>
                <div class="alert is--error is--rounded">
                    <div class="alert--icon">
                        <i class="icon--element icon--warning"></i>
                    </div>
                    <div class="alert--content">
                        {s name="rate_error"}Bitte berücksichtigen Sie, dass der Finanzierungsbetrag (Kaufpreis - Anzahlung) mindestens 500€ aber maximal {$albisErrorPrice|currency} betragen kann.{/s}
                    </div>
                </div>
            {/if}
            <br/>
            <div>
                <table class="albis-lease-table">
                    <thead>
                    <tr>
                        <th>{s name="leasing_table_runtime"}Vertragslaufzeit{/s}</th>
                        <th>{s name="leasing_table_rate"}Monatliche Rate{/s}</th>
                        <th>{s name="leasing_table_insurance"}Versicherung{/s}</th>
                        <th>{s name="leasing_table_overall_rate"}Gesamtleasingrate{/s}</th>
                    </tr>
                    </thead>
                    <tbody>
                    {foreach $albisRates.raten as $rate}
                        <tr>
                            <td>
                                <label>
                                    <input id="runtime{$rate.laufzeit}"
                                           type="radio"
                                           name="rate"
                                           value="{$rate.rate}|{$rate.laufzeit}|{$rate.versicherung}"
                                           {if $rate.laufzeit == $laufzeit}checked="checked"{/if}
                                           required="required"/>&nbsp;
                                    {$rate.laufzeit} {s name="leasing_table_month"}Monate{/s}
                                </label>
                            </td>
                            <td>
                                <label for="runtime{$rate.laufzeit}">{$rate.rate|currency}</label>
                            </td>
                            <td>
                                <label for="runtime{$rate.laufzeit}">{$rate.versicherung|currency}</label>
                            </td>
                            <td>
                                <label for="runtime{$rate.laufzeit}">{($rate.versicherung + $rate.rate)|currency}</label>
                            </td>
                        </tr>
                    {/foreach}
                    </tbody>
                </table>
            </div>
            <p>{s name="leasing_table_first_additional"}(1) in EUR zzgl. MwSt. im Monat bei
                monatlicher Zahlung{/s}<br/>
                {s name="leasing_table_second_additional"}(2) Die genannten Objekte werden von der
                    ALBIS Leasing Gruppe umfassend versichert, sofern Sie diese nicht selber versichert
                    haben und uns kein Nachweis darüber vorliegt.{/s}
            </p>
            <div class="tos--panel panel">
                {if $errorMessage}
                    <div class="special-class alert is--error is--rounded">
                        <div class="alert--icon">
                            <i class="icon--element icon--warning"></i>
                        </div>
                        <div class="alert--content">
                            {$errorMessage}
                        </div>
                    </div>
                {/if}
                <div class="albis-form-checkout">
                    <div class="panel--title primary is--underline">{s name='form_customer_information'}Leasingnehmer{/s}</div>
                    <div class="panel--body is--wide">
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="company" value="{if $ap.company}{$ap.company}{else}{$company}{/if}"
                                   placeholder="{s name='form_input_name'}Firmenname*{/s}" required="required"/>
                        </div>
                        <div class="forms--content input">
                            <div class="select-field">
                                <select name="legal_form" required="required">
                                    <option disabled="disabled" {if !$ap.legal_form}selected="selected"{/if}
                                            value="">{s name='pleas_select_legal_form'}Bitte Rechtsform wählen*{/s}
                                    </option>
                                    {foreach $albisCompanyTypes as $type}
                                        <option value="{$type.id}"
                                                {if $ap.legal_form == $type.id}selected="selected"{/if}/>
                                        {$type.text}
                                        </option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="street" value="{if $ap.street}{$ap.street}{else}{$street}{/if}"
                                   placeholder="{s name='form_input_street'}Straße*{/s}" required="required"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="zip_code" value="{if $ap.zipCode}{$ap.zipCode}{else}{$zipCode}{/if}"
                                   placeholder="{s name='form_input_zip_code'}Postleitzahl*{/s}" required="required"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="city" value="{if $ap.city}{$ap.city}{else}{$city}{/if}"
                                   placeholder="{s name='form_input_city'}Stadt*{/s}" required="required"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field" type="tel" name="phone_number" value="{if $ap.phone_number}{$ap.phone_number}{else}{$phoneNumber}{/if}"
                                   placeholder="{s name='form_input_phone'}Telefonnummer*{/s}" required="required"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="email" name="email" value="{if $ap.email}{$ap.email}{else}{$email}{/if}"
                                   placeholder="{s name='form_input_e-mail'}E-Mail*{/s}" required="required"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="iban"
                                   placeholder="{s name='form_input_iban'}Iban*{/s}" value="{if $ap.iban}{$ap.iban}{else}{$iban}{/if}"
                                   required="required"/>
                        </div>
                    </div>
                </div>
                <div class="albis-form-checkout">
                    <div class="panel--title primary is--underline">{s name='managing_director'}Geschäftsführer{/s}</div>
                    <div class="panel--body is--wide">
                        <div class="forms--content input">
                            <div class="select-field">
                                <select name="md_salutation" class="field--select" required="required">
                                    <option {if !$ap.md_salutation}selected="selected"{/if} value=""
                                            selected="selected" disabled="disabled">{s name='pleas_select'}Anrede*{/s}
                                    </option>
                                    <option {if 2 == $ap.md_salutation}selected="selected"{/if}
                                            value="2">{s name='female'}Frau{/s}
                                    </option>
                                    <option {if 1 == $ap.md_salutation}selected="selected"{/if}
                                            value="1">{s name='male'}Herr{/s}
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="md_first_name"
                                   placeholder="{s name='form_input_first_name'}Vorname*{/s}"
                                   required="required" value="{$ap.md_first_name}"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="md_last_name"
                                   placeholder="{s name='form_input_last_name'}Nachname*{/s}"
                                   required="required" value="{$ap.md_last_name}"/>
                        </div>
                        <div class="forms--content input">
                            <div>{s name='form_date_of_birth'}Geburtsdatum{/s}</div>
                            <div class="date">
                                <div class="select-field">
                                    <select name="md_dob_day" class="field--select" required="required">
                                        <option value="" disabled="disabled"
                                                {if !$ap.md_dob_day}selected="selected"{/if}>{s name='day'}Tag*{/s}
                                        </option>
                                        {for $i=1 to 31}
                                            <option type="radio" name="rate" value="{$i}"
                                                    {if $ap.md_dob_day == $i}selected="selected"{/if}>
                                                {if $i < 10 }0{$i}{else}{$i}{/if}
                                            </option>
                                        {/for}
                                    </select>
                                </div>
                                <div class="select-field">
                                    <select name="md_dob_month" class="field--select" required="required">
                                        <option value="" disabled="disabled"
                                                {if !$ap.md_dob_month}selected="selected"{/if}>{s name='month'}Monat*{/s}
                                        </option>
                                        {for $i=1 to 12}
                                            <option type="radio" name="rate" value="{$i}"
                                                    {if $ap.md_dob_month == $i}selected="selected"{/if}>
                                                {if $i < 10 }0{$i}{else}{$i}{/if}
                                            </option>
                                        {/for}
                                    </select>
                                </div>
                                <div class="select-field">
                                    <select name="md_dob_year" class="field--select" required="required">
                                        <option value="" disabled="disabled"
                                                {if !$ap.md_dob_year}selected="selected"{/if}>{s name='year'}Jahr*{/s}
                                        </option>
                                        {$date = date('Y')}
                                        {for $i=($date - 100) to $date}
                                            <option type="radio" name="rate" value="{$i}"
                                                    {if $ap.md_dob_year == $i}selected="selected"{/if}>
                                                {$i}
                                            </option>
                                        {/for}
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="md_street"
                                   placeholder="{s name='form_input_street'}Straße*{/s}"
                                   required="required" value="{$ap.md_street}"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="number" name="md_zip_code"
                                   placeholder="{s name='form_input_zip_code'}Postleitzahl*{/s}"
                                   required="required" value="{$ap.md_zip_code}"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="text" name="md_city"
                                   placeholder="{s name='form_input_city'}Stadt*{/s}"
                                   required="required" value="{$ap.md_city}"/>
                        </div>
                        <div class="forms--content input">
                            <input class="input-field is--required" type="tel" name="md_phone_number"
                                   placeholder="{s name='form_input_phone'}Telefonnummer{/s}" value="{$ap.md_phone_number}"/>
                        </div>

                        <br>
                        <p>{s name="form_required_fields"}*Pflichtfeld{/s}</p>
                    </div>
                </div>
            </div>
            <div class="tos--panel panel" style="clear:both;">
                <div class="table--actions actions--bottom">
                    <div class="buttons">
                        <div class="main--actions">

                            <div class="albis-leasing-checkbox-agb">
                                <div>
                                    <input type="checkbox" required="required" aria-required="true" id="sAGB"
                                           name="sAGB"
                                           data-invalid-tos-jump="true">
                                </div>
                                <div class="albis-lease-agb-text">
                                    {s name='form_input_button_text_agb_albis'}Mit der Auswahl der Zahlungsoption ist der Kunde damit einverstanden, dass die angegebenen Daten an die ALBIS Leasing Gruppe weitergeleitet werden und gemäß der Datenschutzerklärung der
                                        <a href="https://www.albis-leasing.de/datenschutz" target="_blank"
                                           rel="noopener">Leasing
                                            Gruppe</a>
                                        dort verarbeitet werden.{/s}
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="table--actions actions--bottom">
                    <div class="buttons">
                        <div class="main--actions">
                            <button class="btn is--primary is--large right is--icon-right"
                                    type="submit"
                                    {if $prePaymentError}disabled{/if}
                            >
                                {s name='form_input_button_text'}Jetzt leasen{/s}<i class="icon--arrow-right"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
{/block}
